searchData={"items":[{"type":"module","title":"TailwindMerge","doc":"Provides utility function to efficiently merge Tailwind CSS classes in Elixir\nwithout style conflicts.","ref":"TailwindMerge.html"},{"type":"module","title":"Usage - TailwindMerge","doc":"To use this package, define a helper module in your project:\n\n    defmodule DemoWeb.ClassHelper do\n      use TailwindMerge\n    end\n\nThen, `DemoWeb.ClassHelper.tw/1` will be available to use.","ref":"TailwindMerge.html#module-usage"},{"type":"module","title":"Customization - TailwindMerge","doc":"To customize the default behaviour, passing options to the `use` call:\n\n   * `:config` - specify the config to use.\n   * `:as` - specify the name of generated function.\n\nLet's customize colors to use:\n\n    defmodule DemoWeb.ClassHelper do\n      existing_colors = TailwindMerge.Config.colors()\n      new_colors = existing_colors ++ [\"primary\", \"secondary\"]\n      new_class_groups = TailwindMerge.Config.class_groups(colors: new_colors)\n\n      use TailwindMerge,\n        config: TailwindMerge.Config.new(class_groups: new_class_groups),\n        as: :merge_class\n    end\n\nThen, call it:\n\n    DemoWeb.ClassHelper.merge_class(\"text-red-300 text-primary\")\n    # \"text-primary\"","ref":"TailwindMerge.html#module-customization"},{"type":"module","title":"TailwindMerge.Config","doc":"Provides config.","ref":"TailwindMerge.Config.html"},{"type":"function","title":"TailwindMerge.Config.class_groups/1","doc":"","ref":"TailwindMerge.Config.html#class_groups/1"},{"type":"function","title":"TailwindMerge.Config.colors/0","doc":"","ref":"TailwindMerge.Config.html#colors/0"},{"type":"function","title":"TailwindMerge.Config.conflicting_class_groups/0","doc":"","ref":"TailwindMerge.Config.html#conflicting_class_groups/0"},{"type":"function","title":"TailwindMerge.Config.expand/1","doc":"Expands specs as a flat list.","ref":"TailwindMerge.Config.html#expand/1"},{"type":"function","title":"TailwindMerge.Config.new/1","doc":"","ref":"TailwindMerge.Config.html#new/1"},{"type":"module","title":"TailwindMerge.Validator","doc":"Provides built-in validators.","ref":"TailwindMerge.Validator.html"},{"type":"function","title":"TailwindMerge.Validator.arbitrary?/1","doc":"","ref":"TailwindMerge.Validator.html#arbitrary?/1"},{"type":"function","title":"TailwindMerge.Validator.arbitrary_color?/1","doc":"","ref":"TailwindMerge.Validator.html#arbitrary_color?/1"},{"type":"function","title":"TailwindMerge.Validator.arbitrary_length?/1","doc":"","ref":"TailwindMerge.Validator.html#arbitrary_length?/1"},{"type":"function","title":"TailwindMerge.Validator.arbitrary_position?/1","doc":"","ref":"TailwindMerge.Validator.html#arbitrary_position?/1"},{"type":"function","title":"TailwindMerge.Validator.float?/1","doc":"","ref":"TailwindMerge.Validator.html#float?/1"},{"type":"function","title":"TailwindMerge.Validator.integer?/1","doc":"","ref":"TailwindMerge.Validator.html#integer?/1"},{"type":"function","title":"TailwindMerge.Validator.number?/1","doc":"","ref":"TailwindMerge.Validator.html#number?/1"},{"type":"function","title":"TailwindMerge.Validator.opacity?/1","doc":"","ref":"TailwindMerge.Validator.html#opacity?/1"},{"type":"function","title":"TailwindMerge.Validator.ratio?/1","doc":"","ref":"TailwindMerge.Validator.html#ratio?/1"},{"type":"function","title":"TailwindMerge.Validator.size_abbr?/1","doc":"","ref":"TailwindMerge.Validator.html#size_abbr?/1"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.3.1 - Changelog","doc":"- Unknown classes fall through as-is.","ref":"changelog.html#0-3-1"},{"type":"extras","title":"0.3.0 - Changelog","doc":"- More config changes.","ref":"changelog.html#0-3-0"},{"type":"extras","title":"0.2.0 - Changelog","doc":"- Changes to how default config is defined.","ref":"changelog.html#0-2-0"},{"type":"extras","title":"0.1.0 - Changelog","doc":"Initial release.","ref":"changelog.html#0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}